com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface FlowShape

- All Superinterfaces:
    Annotatable, Annotation, CorticonObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject
  All Known Subinterfaces:
    ActivityShape, DecisionShape, InitiateShape, TerminateShape

      public interface FlowShape
      extends CorticonObject, ValidatableObject

  A representation of the model object 'Flow Shape'.

  The following features are supported:

  - `X`
  - `Y`
  - `Width`
  - `Height`
  - `Outbound Edges`
  - `Inbound Edges`
  See Also:
    `FlowdiagramPackage.getFlowShape()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Returns the value of the 'Height' attribute
    `org.eclipse.emf.common.util.EList` | `getInboundEdges()` Returns the value of the 'Inbound Edges' reference list.
    `org.eclipse.emf.common.util.EList` | `getOutboundEdges()` Returns the value of the 'Outbound Edges' reference list.
    `int` | `getWidth()` Returns the value of the 'Width' attribute
    `int` | `getX()` Returns the value of the 'X' attribute
    `int` | `getY()` Returns the value of the 'Y' attribute
    `void` | `setHeight(int value)` Sets the value of the '`Height`' attribute
    `void` | `setWidth(int value)` Sets the value of the '`Width`' attribute
    `void` | `setX(int value)` Sets the value of the '`X`' attribute
    `void` | `setY(int value)` Sets the value of the '`Y`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.CorticonObject

      `getGuid, setGuid`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotatable

      `getAnnotations`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotation

      `getName, getValue, setName, setValue`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getX

          int getX()

      Returns the value of the 'X' attribute.

      If the meaning of the 'X' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'X' attribute.
      See Also:
        `setX(int)`, `FlowdiagramPackage.getFlowShape_X()`

    - #### setX

          void setX(int value)

      Sets the value of the '`X`' attribute.
      Parameters:
        `value` - the new value of the 'X' attribute.
      See Also:
        `getX()`

    - #### getY

          int getY()

      Returns the value of the 'Y' attribute.

      If the meaning of the 'Y' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Y' attribute.
      See Also:
        `setY(int)`, `FlowdiagramPackage.getFlowShape_Y()`

    - #### setY

          void setY(int value)

      Sets the value of the '`Y`' attribute.
      Parameters:
        `value` - the new value of the 'Y' attribute.
      See Also:
        `getY()`

    - #### getWidth

          int getWidth()

      Returns the value of the 'Width' attribute.

      If the meaning of the 'Width' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Width' attribute.
      See Also:
        `setWidth(int)`, `FlowdiagramPackage.getFlowShape_Width()`

    - #### setWidth

          void setWidth(int value)

      Sets the value of the '`Width`' attribute.
      Parameters:
        `value` - the new value of the 'Width' attribute.
      See Also:
        `getWidth()`

    - #### getHeight

          int getHeight()

      Returns the value of the 'Height' attribute.

      If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Height' attribute.
      See Also:
        `setHeight(int)`, `FlowdiagramPackage.getFlowShape_Height()`

    - #### setHeight

          void setHeight(int value)

      Sets the value of the '`Height`' attribute.
      Parameters:
        `value` - the new value of the 'Height' attribute.
      See Also:
        `getHeight()`

    - #### getOutboundEdges

          org.eclipse.emf.common.util.EList getOutboundEdges()

      Returns the value of the 'Outbound Edges' reference list. The list contents are of type `FlowEdge`. It is bidirectional and its opposite is '`Source Shape`'.

      If the meaning of the 'Outbound Edges' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Outbound Edges' reference list.
      See Also:
        `FlowdiagramPackage.getFlowShape_OutboundEdges()`, `FlowEdge.getSourceShape()`

    - #### getInboundEdges

          org.eclipse.emf.common.util.EList getInboundEdges()

      Returns the value of the 'Inbound Edges' reference list. The list contents are of type `FlowEdge`. It is bidirectional and its opposite is '`Target Shape`'.

      If the meaning of the 'Inbound Edges' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Inbound Edges' reference list.
      See Also:
        `FlowdiagramPackage.getFlowShape_InboundEdges()`, `FlowEdge.getTargetShape()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.